# Update credential active status Update the active status on a specific set of API credentials Endpoint: PUT /v2/credentials/{id}/active Version: 2.0 Security: TokenAuth ## Path parameters: - `id` (string, required) The credential ID ## Request fields (application/json): - `active` (boolean, required) The credential enabled status Example: true ## Response 200 fields (application/json): - `id` (string, required) The credential ID Example: "ce4918bf-a199-4ce2-85a3-d0d296855384" - `name` (string, required) The credential name Example: "Treasury" - `description` (string) The credential description Example: "Credentials that belong to trading desk #1" - `category` (string, required) Enum: "CONTROLS", "WALLETS", "TRANSACTIONS", "AUDIT" - `permissions` (array, required) The credential permissions Example: ["vault:read:org:id=ce4918bf-a199-4ce2-85a3-d0d296855384:*"] - `createdBy` (string, required) The ID of the user who created the credential Example: "ce4918bf-a199-4ce2-85a3-d0d296855384" - `organizationId` (string, required) The ID of the organization who created the credential Example: "ce4918bf-a199-4ce2-85a3-d0d296855384" - `createdAt` (string, required) The date and time the credential was created Example: "2022-03-29T10:22:22.420Z" - `updatedAt` (string, required) The date and time the credential was updated Example: "2022-03-29T10:22:22.420Z" - `clientId` (string, required) The credential client ID Example: "ce4918bf-a199-4ce2-85a3-d0d296855384" - `clientSecret` (string) The credential client secret Example: "ce4918bf-a199-4ce2-85a3-d0d296855384" - `active` (boolean, required) The credential active status Example: true - `status` (string, required) Enum: "CREATED", "ENABLED", "DISABLED", "REJECTED", "DELETED", "ERROR", "CREATION_APPROVAL_PENDING", "CREATION_APPROVAL_COMPLETE", "DELETION_APPROVAL_PENDING", "DELETION_APPROVAL_COMPLETE", "ENABLE_APPROVAL_PENDING", "ENABLE_APPROVAL_COMPLETE", "DISABLE_APPROVAL_PENDING", "DISABLE_APPROVAL_COMPLETE", "MODIFICATION_APPROVAL_PENDING", "MODIFICATION_APPROVAL_COMPLETE" - `proposedPermissions` (array, required) The proposed credential permissions Example: ["vault:read:org:id=ce4918bf-a199-4ce2-85a3-d0d296855384:*"] - `allowedIps` (array) List of IP addresses (in IP address or CIDR notation) that the credential is allowed to use Example: ["88.9.2.1","88.10.2.1/0"] ## Response 400 fields (application/json): - `code` (integer) - `message` (string) - `details` (array) - `details.@type` (string) ## Response 401 fields (application/json): - `code` (integer) - `message` (string) - `details` (array) - `details.@type` (string) ## Response 403 fields (application/json): - `code` (integer) - `message` (string) - `details` (array) - `details.@type` (string) ## Response 404 fields (application/json): - `code` (integer) - `message` (string) - `details` (array) - `details.@type` (string) ## Response default fields (application/json): - `code` (integer) - `message` (string) - `details` (array) - `details.@type` (string)